Bug 179160 - Poor performance of reverse searches
Poor performance of reverse searches
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 15:54 EST by p thompson
Modified: 2013-07-02 19:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 03:53:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p thompson 2006-01-27 15:54:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Less performs very poorly in reverse searches.
For instance more -n /var/log/messages.0127 
(-rw-r--r--  1 root root 585213852 Jan 27 10:05 /var/log/messages.0127)
(file not being written to)
G to get to bottom of file
?reverse search
takes 
real    3m30.014s
user    0m11.049s
sys     0m2.176s
to find the text

Same file, (G to get to bottom, 1G to get to top) and /search
takes 
real    0m38.368s
user    0m30.514s
sys     0m2.452s



Version-Release number of selected component (if applicable):
less-382-7

How reproducible:
Always

Steps to Reproduce:
1.see above
2.
3.
  

Additional info:

More seems to have trouble on open files on FC4 as well.  Not sure if its related. On this busy syslog server more can take a very long time to open /var/log/messages and perform slowly on operations on it.
Comment 1 Jindrich Novy 2006-01-28 02:19:16 EST
Note that the latest version is less-394-1.fc4. Could you try this again with
the latest less?
Comment 2 p thompson 2006-02-04 17:11:40 EST
This works substantially better with less-394-1.fc4
Sorry, I was having some trouble getting yum updates for a while.
Comment 3 Jindrich Novy 2006-02-06 03:53:17 EST
Ok, closeing NOTABUG then. Thanks anyway.

Note You need to log in before you can comment on or make changes to this bug.